Documentation Index
Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
GET /oidc/logout
Use this endpoint to logout a user. If you want to navigate the user to a specific URL after the logout, set that URL at the post_logout_redirect_uri parameter. The URL should be included in the appropriate Allowed Logout URLs list:
- If the
id_token_hintparameter is included:- When the
client_idparameter is included, the server uses the URL from theaudclaim in theid_token_hintto select which of theAllowed Logout URLsto use from the application specified by theclient_id. - When the
client_idparameter is NOT included, the server uses the URL from theaudclaim in theid_token_hintto select which of theAllowed Logout URLsat the tenant level to use.
- When the
- If the
id_token_hintparameter is not included:- If the
client_idparameter is included, thepost_logout_redirect_uriURL must be listed in theAllowed Logout URLsset at the application level. - If the
client_idparameter is NOT included, thepost_logout_redirect_uriURL must be listed in theAllowed Logout URLsset at the tenant level. - If the
client_idparameter is included and thepost_logout_redirect_uriURL is NOT set, the server returns the user to the firstAllowed Logout URLsset in Auth0 Dashboard.
- If the
Remarks
- Logging the user out of their social identity provider is not common practice, so think about the user experience before you use the
federatedquery string parameter with social identity providers. - If providing both
id_token_hintandlogout_hint, thelogout_hintvalue must match thesidclaim from the id_token_hint. - If providing both
id_token_hintandclient_id, theclient_idvalue must match theaudclaim from theid_token_hint. - If
id_token_hintis not provided, then the user will be prompted for consent unless alogout_hintthat matches the user’s session ID is provided. - The
POSTHTTP method is also supported for this request. When usingPOST, the request parameters should be provided in the request body as form parameters instead of the query string. The federated parameter requires a value oftrueorfalse. - This conforms to the OIDC RP-initiated Logout Specification.
Learn More
Parameters
[Recommended] Previously issued ID Token for the user. This is used to indicate which user to log out.
Optional
sid (session ID) value to indicate which user to log out. Should be provided when id_token_hint is not available.URL to redirect the user after the logout.
The
client_id of your application.Add this query string parameter to log the user out of their identity provider:
https://YOUR_DOMAIN/oidc/logout?federated.An opaque value the application adds to the initial request that the authorization server includes when redirecting back to the
post_logout_redirect_uri.Space-delimited list of locales used to constrain the language list for the request. The first locale on the list must match the enabled locale in your tenant.
Response
| Status | Description |
|---|---|
| 200 | Successfully logged out |
| 400 | Bad request, possibly due to missing required parameters |